/v1/workspaces/{workspace_id}/integrations/github/repos/{owner}/{repo}/branchesAuthList branches for the given repo.
Path parameters
workspace_id*string · uuidId of the workspace.
owner*stringOwner (user or organisation) of the GitHub repository.
repo*stringName of the GitHub repository.
Response · 200
Array of object
name*stringThe branch name.
Example
Request
GET https://api.mail.productcraft.co/v1/workspaces/{workspace_id}/integrations/github/repos/{owner}/{repo}/branches
Authorization: Bearer YOUR_TOKENimport { Mail } from "@productcraft/mail";
// Reads PRODUCTCRAFT_API_KEY from the environment
const mail = new Mail();
const result = await mail.integrations.github.repos.branches.list("acme", "email-templates");mail.integrations.github.repos.branches.list(owner, repo, options?): Mail.IntegrationGithubRepoBranchListResponse
Response
[
{
"name": "string"
}
]